package com.huimv.eartag2.process2.listener;

import com.huimv.eartag2.common.mq.Const;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;

import java.text.ParseException;
import java.util.Map;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Component
@Slf4j
public class DeviceListener {

    /**
     * @Method      : processDeviceHeartbeat
     * @Description : 处理设备心跳数据
     * @Params      : [RawMap]
     * @Return      : void
     * 
     * @Author      : ZhuoNing
     * @Date        : 2022/2/15       
     * @Time        : 8:56
     */
    @RabbitListener(queues = Const.QUEUE_DEVICE_HEARTBEAT)
    @RabbitHandler
    public void processDeviceHeartbeat(Map RawMap) throws ParseException {
        System.out.println("222 <<<<<<<<<<<<<<< 处理设备心跳数据>>"+RawMap.toString());
        //--保存设备注册数据(MySQL,Redis)-
        //--保存设备在线数据(MySQL,Redis)-
        //--保存设备状态数据(MySQL,Redis)-


    }

    /**
     * @Method      : processDeviceTemp
     * @Description : 处理设备温度数据
     * @Params      : [RawMap]
     * @Return      : void
     *
     * @Author      : ZhuoNing
     * @Date        : 2022/2/15
     * @Time        : 9:05
     */
    @RabbitListener(queues = Const.QUEUE_DEVICE_TEMP)
    @RabbitHandler
    public void processDeviceTemp(Map RawMap) throws ParseException {
        System.out.println("333 <<<<<<<<<<<<<<< 处理设备温度数据>>"+RawMap.toString());
        //--保存设备注册数据(MySQL,Redis)-processProducer
        //--保存设备状态数据(MySQL,Redis)-processProducer



    }
}
